* Description: This do-file creates the paper's tables from the data_base built.dta

clear all
set more off
cap log close 

global path "/Users/marcocerundolo/Dropbox/populism/SOEP/replication"
global data "$path/data"

cd "$path/output"

use "$data/output/built.dta", clear

**************** Table 1: Risk Love and Populism ****************

* Col 1 
logit populist_dummy risk_love  i.syear ,  vce(cluster pid)

outreg2 using "table1_coeff.xls", replace label ctitle(_) dec(4) nonotes addtext(Controls, No, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag)
margins, dydx(risk_love) post
outreg2 using "table1_meff.xls", replace label ctitle(_) dec(4) nonotes addtext(Controls, No, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag)

* Col 2 
logit populist_dummy risk_love risk9 i.syear ,  vce(cluster pid)

outreg2 using "table1_coeff.xls", append label ctitle(_) dec(4) nonotes addtext(Controls, No, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag)
margins, dydx(risk_love risk9) post
outreg2 using "table1_meff.xls", append label ctitle(_) dec(4) nonotes addtext(Controls, No, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag)

* Col 3
logit populist_dummy risk_love ///
age_under age_over  male migrant_* edu_low edu_high east_germany_GS unemployed ln_income_HH out_of_LF i.syear,  vce(cluster pid)

outreg2 using "table1_coeff.xls", append ctitle(Populist dummy) label dec(4) nonotes addtext(Controls, Yes, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag)
margins, dydx(risk_love unemployed ln_income_HH) post
outreg2 using "table1_meff.xls", append ctitle(Populist dummy) label dec(4) nonotes addtext(Controls, Yes, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 4
logit populist_dummy risk_love risk9 ///
age_under age_over  male migrant_* edu_low  edu_high east_germany_GS unemployed ln_income_HH out_of_LF i.syear,  vce(cluster pid)

outreg2 using "table1_coeff.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, Yes, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(risk_love risk9 unemployed ln_income_HH) post
outreg2 using "table1_meff.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, Yes, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 5
clogit populist_dummy risk_love risk9 i.syear, cluster(pid) iterate(50) group(pid)

outreg2 using "table1_coeff.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, No, Individual FE, Yes) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(risk_love risk9) post
outreg2 using "table1_meff.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, No, Individual FE, Yes) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 6
clogit populist_dummy risk_love risk9 ln_income_HH unemployed /*
*/ i.syear, cluster(pid) iterate(50) group(pid)

outreg2 using "table1_coeff.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, No, Individual FE, Yes) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag)  
margins, dydx(risk_love risk9 unemployed ln_income_HH) post
outreg2 using "table1_meff.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, No, Individual FE, Yes) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

****************  Table 2: Income Dissatisfaction and Populism ***********

* Col 1
logit populist_dummy income_dissat income_dissat7 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over  male migrant_* edu_low  edu_high east_germany_GS  /*
*/ i.syear,  vce(cluster pid)

outreg2 using "table2_coeff.xls", replace label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, Yes, Individual FE, No) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(income_dissat income_dissat7 ln_income_HH unemployed) post
outreg2 using "table2_meff.xls", replace label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, Yes, Individual FE, No) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 2
clogit populist_dummy income_dissat income_dissat7 ln_income_HH unemployed /*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using "table2_coeff.xls", append label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, No, Individual FE, Yes) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(income_dissat income_dissat7 ln_income_HH unemployed) post
outreg2 using "table2_meff.xls", append label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, No, Individual FE, Yes) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 3
logit populist_dummy income_dissat income_dissat7 risk_love risk9 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over  male migrant_* edu_low  edu_high east_germany_GS  /*
*/ i.syear,  vce(cluster pid)

outreg2 using "table2_coeff.xls", append label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, Yes, Individual FE, No) keep(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag)
margins, dydx(income_dissat income_dissat7 risk_love risk9 ln_income_HH unemployed) post
outreg2 using "table2_meff.xls", append label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, Yes, Individual FE, No) keep(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 4
clogit populist_dummy income_dissat income_dissat7 risk_love risk9 ln_income_HH unemployed /*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using "table2_coeff.xls", append label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, No, Individual FE, Yes) keep(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(income_dissat income_dissat7 risk_love risk9 ln_income_HH unemployed) post
outreg2 using "table2_meff.xls", append label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, No, Individual FE, Yes) keep(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 5
logit risk9 income_dissat income_dissat7 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over  male migrant_* edu_low edu_high east_germany_GS /*
*/ i.syear,  vce(cluster pid)

outreg2 using  "table2_coeff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, Yes, Individual FE, No) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(income_dissat income_dissat7 ln_income_HH unemployed) post
outreg2 using "table2_meff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, Yes, Individual FE, No) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 6
clogit risk9 income_dissat income_dissat7 ln_income_HH unemployed/*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using  "table2_coeff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, No, Individual FE, Yes) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(income_dissat income_dissat7 ln_income_HH unemployed) post
outreg2 using "table2_meff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, No, Individual FE, Yes) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

*******************************   Table A1: Summary Statistics  **********************

sum populist_dummy loss3  income_dissat income_dissat7 risk9 risk_love ln_income_HH age_under age_over  male migrant_* edu*/*
*/  east_germany_GS unemployed out_of_LF 

set matsize 11000
preserve
outreg2 using "tableA1.xls", sum(log) keep(populist_dummy risk_love risk9 income_dissat income_dissat7 loss3 male age_under age_over /*
*/ migrant_* edu_low edu_medium edu_high  ln_income_HH east_germany_GS unemployed out_of_LF) sortvar(populist_dummy /* 
*/ risk_love risk9 income_dissat income_dissat7 loss3 male age_under age_over migrant_* edu_low edu_medium edu_high ln_income_HH east_germany_GS unemployed out_of_LF) label replace  tex(frag) 
restore

****************** Table A2: Correlations ******************

preserve
mkcorr populist_dummy risk_love risk9 income_dissat income_dissat7 loss3 unemployed ln_income_HH out_of_LF , log(tableA2.tex)  replace sig cdec(4)
restore
preserve
mkcorr populist_dummy risk_love risk9 income_dissat income_dissat7 loss3 unemployed ln_income_HH out_of_LF , log(tableA2.txt)  replace sig cdec(4)
restore
preserve
mkcorr populist_dummy risk_love risk9 income_dissat income_dissat7 loss3 unemployed ln_income_HH out_of_LF , log(tableA2.xls) replace sig cdec(4)
restore

****************** Table A3: The Effect of Income Losses ******************

set more off

* Col 1 
logit populist_dummy loss3 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over  male migrant_* edu_low edu_high east_germany_GS /*
*/ i.syear,  vce(cluster pid)

outreg2 using "tableA3_coeff.xls", replace label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, Yes, Individual FE, No) keep(loss3 risk_love risk9 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(loss3 ln_income_HH unemployed) post
outreg2 using "tableA3_meff.xls", replace label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, Yes, Individual FE, No) keep(loss3 risk_love risk9 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

* Col 2
clogit populist_dummy loss3 ln_income_HH unemployed /*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using "tableA3_coeff.xls", append label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, No, Individual FE, Yes) keep(loss3 risk_love risk9 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag)
margins, dydx(loss3 ln_income_HH unemployed) post
outreg2 using "tableA3_meff.xls", append label dec(4) nonotes ctitle(Populist dummy) addtext(Controls, No, Individual FE, Yes) keep(loss3 risk_love risk9 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag)

* Col 3
logit risk9 loss3 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over  male migrant_* edu_low edu_high east_germany_GS /*
*/ i.syear,  vce(cluster pid)

outreg2 using "tableA3_coeff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, Yes, Individual FE, No) keep(loss3 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag)
margins, dydx(loss3 ln_income_HH unemployed) post
outreg2 using "tableA3_meff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, Yes, Individual FE, No) keep(loss3 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

* Col 4
clogit risk9 loss3 ln_income_HH unemployed/*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using "tableA3_coeff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, No, Individual FE, Yes) keep(loss3 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(loss3 ln_income_HH unemployed) post
outreg2 using "tableA3_meff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, No, Individual FE, Yes) keep(loss3 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

* Col 5
logit risk9 loss3 income_dissat income_dissat7 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over  male migrant_* edu_low edu_high east_germany_GS /*
*/   i.syear,  vce(cluster pid)

outreg2 using "tableA3_coeff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, Yes, Individual FE, No) keep(loss3 income_dissat income_dissat7 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(loss3 income_dissat income_dissat7 ln_income_HH unemployed) post
outreg2 using "tableA3_meff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, Yes, Individual FE, No) keep(loss3 income_dissat income_dissat7 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

* Col 6
clogit risk9 loss3 income_dissat income_dissat7 ln_income_HH unemployed/*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using "tableA3_coeff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, No, Individual FE, Yes) keep(loss3 income_dissat income_dissat7 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(loss3 income_dissat income_dissat7 ln_income_HH unemployed) post
outreg2 using "tableA3_meff.xls", append label dec(4) nonotes ctitle(Extreme Risk Love) addtext(Controls, No, Individual FE, Yes) keep(loss3 income_dissat income_dissat7 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

* Col 7
logit income_dissat7 loss3 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over male migrant_* edu_low edu_high east_germany_GS /*
*/ i.syear,  vce(cluster pid)

outreg2 using "tableA3_coeff.xls", append label dec(4) nonotes ctitle(Extreme Income Dissatisfaction) addtext(Controls, Yes, Individual FE, No) keep(loss3 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(loss3 ln_income_HH unemployed) post
outreg2 using "tableA3_meff.xls", append label dec(4) nonotes ctitle(Extreme Income Dissatisfaction) addtext(Controls, Yes, Individual FE, No) keep(loss3 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

* Col 8
clogit income_dissat7 loss3 ln_income_HH unemployed/*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using "tableA3_coeff.xls", append label dec(4) nonotes ctitle(Extreme Income Dissatisfaction) addtext(Controls, No, Individual FE, Yes) keep(loss3 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 
margins, dydx(loss3 ln_income_HH unemployed) post
outreg2 using "tableA3_meff.xls", append label dec(4) nonotes ctitle(Extreme Income Dissatisfaction) addtext(Controls, No, Individual FE, Yes) keep(loss3 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

****************** Table A4: Pattern of Missing Observations, Panel A ******************

gen missing_populism=0 
replace missing_populism=1 if populist_dummy==0 & party_pref <0 
replace missing_populism=. if populist_dummy==. //dummy for obs with missing populism variable 

* Col 1
logit missing_populism risk_love i.syear,  vce(cluster pid)

outreg2 using "tableA4.xls", replace label ctitle(_) dec(4) nonotes addtext(Controls, No, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag)  

* Col 2
logit missing_populism risk_love risk9 i.syear,  vce(cluster pid)

outreg2 using  "tableA4.xls", append label ctitle(_) dec(4) nonotes addtext(Controls, No, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 3
logit missing_populism risk_love unemployed ln_income_HH  /*
*/ age_under age_over male migrant_* edu_low edu_high east_germany_GS out_of_LF /*
*/ i.syear,  vce(cluster pid)

outreg2 using  "tableA4.xls", append ctitle(Missing dummy) label dec(4) nonotes addtext(Controls, Yes, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 4
logit missing_populism risk_love risk9 unemployed ln_income_HH /*
*/ age_under age_over male migrant_* edu_low edu_high east_germany_GS out_of_LF /*
*/ i.syear,  vce(cluster pid)

outreg2 using  "tableA4.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, Yes, Individual FE, No) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 5
clogit missing_populism risk_love risk9 i.syear, cluster(pid) iterate(50) group(pid)

outreg2 using  "tableA4.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, No, Individual FE, Yes) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 6
clogit missing_populism risk_love risk9 ln_income_HH unemployed /*
*/ i.syear, cluster(pid) iterate(50) group(pid)

outreg2 using "tableA4.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, No, Individual FE, Yes) keep(risk_love risk9 unemployed ln_income_HH) sortvar(risk_love risk9 unemployed ln_income_HH) nocons tex(frag)  

****************** Table A5: Pattern of Missing Observations, Panel B  ******************

* Col 1
logit missing_populism income_dissat income_dissat7 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over  male migrant_* edu_low edu_high east_germany_GS /*
*/ i.syear,  vce(cluster pid)

outreg2 using "tableA5.xls", replace label dec(4) nonotes ctitle(Missing dummy) addtext(Controls, Yes, Individual FE, No) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 

* Col 2
clogit missing_populism income_dissat income_dissat7 ln_income_HH unemployed /*
*/ i.syear, cluster(pid) iterate(50) group(pid)

outreg2 using  "tableA5.xls", append ctitle(_) label dec(4) nonotes addtext(Controls, No, Individual FE, Yes) keep(income_dissat income_dissat7 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

* Col 3
logit missing_populism income_dissat income_dissat7 risk_love risk9 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over  male migrant_* edu_low edu_high east_germany_GS /*
*/ i.syear,  vce(cluster pid)

outreg2 using "tableA5.xls", append label dec(4) nonotes ctitle(_) addtext(Controls, Yes, Individual FE, No) keep(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag)

* Col 4
clogit missing_populism income_dissat income_dissat7 risk_love risk9 ln_income_HH unemployed /*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using "tableA5.xls", append label dec(4) nonotes ctitle(_) addtext(Controls, No, Individual FE, Yes) keep(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) sortvar(income_dissat income_dissat7 risk_love risk9 unemployed ln_income_HH) nocons tex(frag) 
 
* Col 5
logit missing_populism loss3 ln_income_HH unemployed /*
*/ out_of_LF age_under age_over male migrant_* edu_low edu_high east_germany_GS /*
*/ i.syear,  vce(cluster pid)

outreg2 using "tableA5.xls", append label dec(4) nonotes ctitle(_) addtext(Controls, Yes, Individual FE, No) keep(loss3 risk_love risk9 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag) 

* Col 6
clogit missing_populism loss3 ln_income_HH unemployed /*
*/ i.syear, cluster(pid) iterate(50) group(pid) 

outreg2 using "tableA5.xls", append label dec(4) nonotes ctitle(_) addtext(Controls, No, Individual FE, Yes) keep(loss3 risk_love risk9 unemployed ln_income_HH) sortvar(loss3 income_dissat income_dissat7 unemployed ln_income_HH) nocons tex(frag)   


